import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { withKnobs, text } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../categories";
import readme from "../../dist/docs/components/number-input/readme.md";

<Meta title={CATEGORIES.COMPONENTS + "NumberInput"} />

# NumberInput

Input field for numbers with plus/minus buttons.

<Canvas mdxSource={`<ui-number-input initial-value="1"/>`}>
    <Story
        height="30px"
        name="NumberInput"
        parameters={{
            decorators: [withKnobs],
            jest: ["number-input-utils.spec.ts", "number-input.e2e.ts"],
        }}
    >
        {html`
            <ui-number-input
                max="${text("max", "5")}"
                min="${text("min", "0")}"
                step="${text("step", "1")}"
                initial-value="${text("initial-value", "1")}"
            />
        `}
    </Story>
</Canvas>

# Developer Documentation

<Description markdown={readme} />
